# Generated by rust2rpm 17
# 32 bit platforms fail https://github.com/parallaxsecond/rust-cryptoki/issues/19
%bcond_with check
%global debug_package %{nil}

%global crate cryptoki

Name:           rust-%{crate}
Version:        0.1.1
Release:        1%{?dist}
Summary:        Rust-native wrapper around the PKCS #11 API

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            https://crates.io/crates/cryptoki
Source:         %{crates_source}
# Fedora still only has log 0.4.13
Patch0:         cryptoki-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Rust-native wrapper around the PKCS #11 API.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+generate-bindings-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+generate-bindings-devel %{_description}

This package contains library source intended for building other packages
which use "generate-bindings" feature of "%{crate}" crate.

%files       -n %{name}+generate-bindings-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+psa-crypto-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+psa-crypto-devel %{_description}

This package contains library source intended for building other packages
which use "psa-crypto" feature of "%{crate}" crate.

%files       -n %{name}+psa-crypto-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+psa-crypto-conversions-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+psa-crypto-conversions-devel %{_description}

This package contains library source intended for building other packages
which use "psa-crypto-conversions" feature of "%{crate}" crate.

%files       -n %{name}+psa-crypto-conversions-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -a
echo "softhsm"

%build
%cargo_build -a

%install
%cargo_install -a

%if %{with check}
%check
export PKCS11_SOFTHSM2_MODULE=%{_libdir}/pkcs11/libsofthsm2.so
mkdir /tmp/tokens
echo "directories.tokendir = /tmp/tokens" > /tmp/softhsm2.conf
export SOFTHSM2_CONF=/tmp/softhsm2.conf
%cargo_test -a
%endif

%changelog
* Mon Apr 05 2021 Peter Robinson <pbrobinson@gmail.com> - 0.1.1-1
- Update to 0.1.1
- Review updates

* Fri Mar 26 2021 Peter Robinson <pbrobinson@gmail.com> - 0.1.0-1
- Initial package
